/* Cochleagram_and_Excitation.c */
/* Paul Boersma, December 20, 1993 */

#include "Cochleagram_and_Excitation.h"

Any Cochleagram_to_Excitation (I, double t)
{
	iam (Cochleagram);
	long column = Matrix_xToNearestColumn (me, t), ifreq;
	Excitation thee;
	if (column < 1) column = 1;
	if (column > my nx) column = my nx;
	thee = Excitation_create (my dy, my ny);
	if (! thee) return NULL;
	for (ifreq = 1; ifreq <= my ny; ifreq ++)
		thy z [1] [ifreq] = my z [ifreq] [column];
	return thee;
}

/* End of file Cochleagram_and_Excitation.c */
